> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact

> Update a contact by ID.
- **contact_id**: The ID of the contact to update.
- **body**: The fields to update.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/sms/api.json put /campaigns/v1/contacts/{contact_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /campaigns/v1/contacts/{contact_id}:
    put:
      tags:
        - Contacts
      summary: Update Contact
      description: |-
        Update a contact by ID.
        - **contact_id**: The ID of the contact to update.
        - **body**: The fields to update.
      operationId: campaigns_service_update_contact_v1_contacts__contact_id__put
      parameters:
        - name: contact_id
          in: path
          required: true
          schema:
            $ref: cea82530-687d-4e8c-bfa5-5606f6f68c6d
            description: Contact ID
          description: Contact ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: cbaea02d-4e61-4721-a9e9-2189fc7261b5
              description: Contact data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: 61188eef-82a8-4002-94b5-80ed8ff45c7a
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````